IdentificationCriteriaByIdProductIDImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class IdentificationCriteriaByIdProductIDImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.IdentificationCriteriaImpl
  - - tv.amwa.maj.union.impl.IdentificationCriteriaByIdProductIDImpl

- All Implemented Interfaces:
    Serializable, Cloneable, IdentificationCriteria, IdentificationCriteriaByIdProductID

      public class IdentificationCriteriaByIdProductIDImpl
      extends IdentificationCriteriaImpl
      implements IdentificationCriteriaByIdProductID, Serializable, Cloneable

  Implementation of a criteria for matching an identification by its product id.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentificationCriteriaByIdProductIDImpl(AUID productId)` Create a criteria for matching an identification defined by the given product id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentificationCriteriaByIdProductIDImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `AUID` | `getProductID()` Returns the product id that defines this identification criteria as an `AUID`.
    `int` | `hashCode()`
    `void` | `setProductID(AUID productId)` Sets the product id that defines this identification criteria.
    `String` | `toString()` Pseudo-XML representation of this identification criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.IdentificationCriteriaImpl

      `getIdentificationCriteriaType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.IdentificationCriteria

      `getIdentificationCriteriaType`

- - ### Constructor Detail

    - #### IdentificationCriteriaByIdProductIDImpl

          public IdentificationCriteriaByIdProductIDImpl(AUID productId)
                                                  throws NullPointerException

      Create a criteria for matching an identification defined by the given product id.

      Parameters:
        `productId` - Product identifier defining the new identification criteria.
      Throws:
        `NullPointerException` - The given product id is `null`.
      See Also:
        `Identification.getApplicationProductID()`

  - ### Method Detail

    - #### getProductID

          public AUID getProductID()

      Description copied from interface: `IdentificationCriteriaByIdProductID`

      Returns the product id that defines this identification criteria as an `AUID`.

      Specified by:
        `getProductID` in interface `IdentificationCriteriaByIdProductID`
      Returns:
        Product id of this identification criteria.

    - #### setProductID

          public void setProductID(AUID productId)
                            throws NullPointerException

      Description copied from interface: `IdentificationCriteriaByIdProductID`

      Sets the product id that defines this identification criteria.

      Specified by:
        `setProductID` in interface `IdentificationCriteriaByIdProductID`
      Parameters:
        `productId` - Product id of this identification criteria.
      Throws:
        `NullPointerException` - The given product id is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Pseudo-XML representation of this identification criteria. No corresponding XML schema or DTD is defined. For example:

           <IdentificationCriteria productId="urn:uuid:7ab65789-dfed-7891-f6b7-a8d67892"/>

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of an identification criteria defined by product id.

    - #### clone

          public IdentificationCriteriaByIdProductIDImpl clone()
                                                        throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.